> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/teams.md).

# Teams

## Gets a list of team profiles

> This endpoint is used to fetch all the team profiles in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/":{"get":{"operationId":"ux_common_teams_profile_list","description":"This endpoint is used to fetch all the team profiles in the current organization","summary":"Gets a list of team profiles","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Teams"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Team"}}}},"description":""}}}}}}
```

## Creates a new team&#x20;

> This endpoint is used to save a new team for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/teams/profile/":{"post":{"operationId":"ux_common_teams_profile_create","description":"This endpoint is used to save a new team for the current organization","summary":"Creates a new team ","tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a team with the given id

> This endpoint is used to fetch a team details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/{id}/":{"get":{"operationId":"ux_common_teams_profile_retrieve","description":"This endpoint is used to fetch a team details in the current organization","summary":"Gets a team with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Teams"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```

## Edits the team with given id

> This endpoint is used to edit an existing team for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/{id}/":{"put":{"operationId":"ux_common_teams_profile_update","description":"This endpoint is used to edit an existing team for the current organization","summary":"Edits the team with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Team"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Team"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```

## Deletes the team with given id

> This endpoint is used to delete an existing team for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/teams/profile/{id}/":{"delete":{"operationId":"ux_common_teams_profile_destroy","description":"This endpoint is used to delete an existing team for the current organization","summary":"Deletes the team with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Teams"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/common/teams/profile/incident\_map/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/incident_map/":{"post":{"operationId":"ux_common_teams_profile_incident_map_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Team"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Team"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```

## GET /ux/common/teams/profile/options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/options/":{"get":{"operationId":"ux_common_teams_profile_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Teams"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```

## POST /ux/common/teams/profile/usergrplist/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/usergrplist/":{"post":{"operationId":"ux_common_teams_profile_usergrplist_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Teams"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Team"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Team"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```

## GET /ux/common/teams/profile/validate\_team\_change/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"Team":{"type":"object","description":"Team Serializers","properties":{"id":{"type":"string"},"module_ui_name":{"type":"string","readOnly":true},"team_id":{"type":"string","maxLength":225},"module_id":{"type":"integer"},"module_name":{"type":"string"},"group_type":{"type":"string"},"group_id":{"type":"integer"},"name":{"type":"string","maxLength":225},"description":{"type":"string"},"owner":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staff_selection_type":{"type":"string"},"is_approval_sequence":{"type":"boolean"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"sequence_staffs":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"level_staff":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"is_preconfigure":{"type":"boolean"},"is_deleted":{"type":"boolean"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"response_required":{"type":"boolean"},"approval_percentage":{"type":"integer"},"department":{"type":"string"},"business_hr_profile":{"type":"object","additionalProperties":{}},"asset_tags":{"type":"array","items":{}},"is_add_notify_required":{"type":"boolean"},"is_demo_data":{"type":"boolean"},"events_thres_id":{"type":"array","items":{}},"location":{"type":"object","additionalProperties":{}},"group_email":{"type":"string"},"delegate_members":{"type":"array","items":{"type":"object","additionalProperties":{}}},"team_delegate":{"type":"boolean"},"sequence_delegate":{"type":"boolean"},"config":{"$ref":"#/components/schemas/Embedded"}},"required":["id","module_ui_name","organization","team_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/teams/profile/validate_team_change/":{"get":{"operationId":"ux_common_teams_profile_validate_team_change_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Teams"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Team"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/teams.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
